/***************************************
	Auteur : Pierre Aubert
	Mail : pierre.aubert@lapp.in2p3.fr
	Licence : CeCILL-C
****************************************/
#include <algorithm>
#include <execution>
#include "hadamard_product.h"
///Perform an Hadamard Product
/**	@param[out] tabRes : vector of result
 * 	@param tabX : vector of values
 * 	@param tabY : vector of values
*/
void hadamard_product(std::vector<float> & tabRes, const std::vector<float> & tabX, const std::vector<float> & tabY){
	std::transform(std::execution::par_unseq, std::begin(tabX), std::end(tabX), std::begin(tabY), std::begin(tabRes),
			[](float xi, float yi){ return xi * yi; });
}

