#!/bin/bash
BASE_JOB_CONFIG="submit.condor"
LIST_GPU="a100 3g.20gb p6000 t4 v100"

mkdir -p tmp_job_config
for GPU in ${LIST_GPU[@]}
do
	echo "Submit job for gpu ${GPU}"
	OUTPUT_JOB_CONFIG="tmp_job_config/submit_${GPU}.condor"
	cat ${BASE_JOB_CONFIG} | sed -e s/GPUNAME/${GPU}/g > ${OUTPUT_JOB_CONFIG}
	condor_submit -batch-name MultFileHadamardProduct ${OUTPUT_JOB_CONFIG}
done

